[RDD] Compiling on pclinuxos

Frederick Gleason fredg at paravelsystems.com
Fri Jan 2 11:34:58 EST 2015


On Jan 2, 2015, at 09:41 07, David R. Wilson <david at wwns.com> wrote:

> export
> PATH=/opt/Qt5.3.0/5.3.0/gcc_64/bin:/opt/Qt5.3.0/Tools/QtCreator/bin:
> $PATH
> 
> (watch the line wrap and customize it to suit your installation)

This is the correct approach (although Qt5 will most definitely *not* work for Rivendell, see below).  Here for example are the exports I use to find Qt4 on RHEL 5 (x86_64):

	export CPPFLAGS=-I/usr/lib64/qt4/include
        export LDFLAGS=-L/usr/lib64/qt4/lib64
        export PATH=/usr/lib64/qt4/bin:$PATH

Each distro packages each version of Qt a little differently, so you may need to experiment to find the correct abracadabra for pclinuxos.


> I don't know which Qt installation Fred prefers.  I have moved on to
> 5.3, but there is a later version out there at
> qt-project.org/downloads/ .

The various Qt major versions —i.e. Qt3 vs. Qt4 vs. Qt5 -- are *not* source compatible; moving a particular application to a later Qt version requires rewriting parts of the application.  Rivendell requires Qt3 and will not build successfully against Qt4 or Qt5 (although the various Qt versions can peacefully coexist together on the same system if the distro maintainer knows his business.  RHEL handles this well.  Certain others are not so graceful!).

Cheers!


|----------------------------------------------------------------------|
| Frederick F. Gleason, Jr. |              Chief Developer             |
|                           |              Paravel Systems             |
|----------------------------------------------------------------------|
|          A room without books is like a body without a soul.         |
|                                         -- Cicero                    |
|----------------------------------------------------------------------|



More information about the Rivendell-dev mailing list